MKOCCDEPS(1)

NAME
mkoccdeps - generates occam program dependency information

SYNOPSIS
mkoccdeps [option [...]] file...

DESCRIPTION

Calculates dependencies for occam programs. The programs scans the files given on the command-line (as file...) and produces Makefile compatible dependencies for them.

OPTIONS

-h, --help
    print usage summary and options

-V, --version
    print version and exit

-v, --verbose
    verbose operation

-o, --output  FILE
    output to FILE. "-" means standard output, that is the default

-f, --follow
    follow referenced files and generate dependency information for those too

-F, --follow-local
    follow referenced files, but only those in the current directory

-a, --allobjs
    additionally generate an ALLOBJS variable in the output containing all the object files that have corresponding source files in the project

-A, --allotherobjs
    generate an ALLOBJS variable in the output contaning all the object files that have corresponding source files, except those whose source file was given on the command-line (only makes sense with the --follow option).

-I, --include  PATH
    search PATH for occam libraries (sources) and includes

EXAMPLE

For a typical project, containing multiple source files and where "main.occ" has the top-level process, depdencies suitable for a Makefile can be generated using:

    mkoccdeps -o DEPS -F -A main.occ

This will examine main.occ and any files it references, and so on. An ALLOBJS variable will be output that contains all the object files except "main.o". This can be used in conjunction with a Makefile rule of the form:

    main: $(ALLOBJS) main.occ
             kroc main.occ $(ALLOBJS) $(LIBS)

DEFICIENCIES

The program is blind to any conditional compilation (using the pre-processor)

AUTHOR
This manual page is maintained by Fred Barnes <frmb@kent.ac.uk>

SEE ALSO
kroc(1)

REPORTING BUGS
Please report bugs to <kroc-bugs@kent.ac.uk>

COPYRIGHT
Copyright © 2004-2005 Fred Barnes <frmb@kent.ac.uk>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.